#!/bin/bash

CONTAINER=$1

if [ -z "$CONTAINER" ]; then echo "Missing parameter"; exit 1 ; fi

lxc exec $CONTAINER -- apt update
lxc exec $CONTAINER -- apt install -y wget curl

lxc exec $CONTAINER -- bash -c 'curl -sL https://repos.influxdata.com/influxdb.key | sudo apt-key add -'
lxc exec $CONTAINER -- bash -c 'source /etc/lsb-release && echo "deb https://repos.influxdata.com/${DISTRIB_ID,,} ${DISTRIB_CODENAME} stable" > /etc/apt/sources.list.d/influxdb.list'
lxc exec $CONTAINER -- apt update
lxc exec $CONTAINER -- apt install -y telegraf influxdb chronograf kapacitor

